curl "https://api.scanova.io/qr-assets/conditional-redirect-template/?search=location" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 3,
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-01T09:00:00Z"
}
]
}
QR-Assets
Bedingte Weiterleitungsvorlagen auflisten
GET /qr-assets/conditional-redirect-template/
GET
/
qr-assets
/
conditional-redirect-template
/
curl "https://api.scanova.io/qr-assets/conditional-redirect-template/?search=location" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 3,
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-01T09:00:00Z"
}
]
}
Listet die eigenen bedingten Weiterleitungsvorlagen des Kontos auf, auf dem Management-API-Host (
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
GET https://api.scanova.io/qr-assets/conditional-redirect-template/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
Filtert nach einer Teilzeichenfolge von
template_name.curl "https://api.scanova.io/qr-assets/conditional-redirect-template/?search=location" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 3,
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-01T09:00:00Z"
}
]
}
data enthält das wiederverwendbare Regelwerk — ein Array von Bedingungsgruppen, die jeweils Feld-/Operator-/Wert-Prüfungen mit einem logischen Operator und einer Ziel-redirect_url kombinieren, abgeglichen mit dem Gerät, Standort oder der Uhrzeit eines scannenden Besuchers, um zu entscheiden, wohin er geleitet wird.
Verwandte Themen
- Bedingte Weiterleitungsvorlage erstellen — eine neue speichern.
- Bedingte Weiterleitungsvorlage aktualisieren — eine bestehende bearbeiten.
- Bedingte Weiterleitungsvorlage löschen — eine entfernen.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Abfrageparameter
Antwort
200 - application/json
Paginated list of conditional redirect templates.
War diese Seite hilfreich?